[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DoMouseWheelHorz

Performs actions needed to handle horizontal mouse wheel events.

## Declaration

Source position: controls.pp line 1537

`protected function TControl.DoMouseWheelHorz(`
`Shift: TShiftState;`
`WheelDelta: Integer;`
`MousePos: TPoint`
`):Boolean; virtual;`

## Arguments

`Shift` |  | Shift state for the mouse wheel event.
`WheelDelta` |  | Number of units (or clicks) the mouse wheel was moved.
`MousePos` |  | TPoint with the mouse coordinates for the event.

## Function result

True when the mouse wheel event has been handled for the control.